package com.zd.laboratory.domain.dto;

import com.zd.laboratory.domain.LabApproval;
import com.zd.laboratory.domain.LabApprovalDetail;

import java.util.List;

public class LabApprovalAndDetailDTO extends LabApproval {

    private String nickName;

    private String userName;

    private List<LabApprovalDetail> approvalDetails;

    public List<LabApprovalDetail> getApprovalDetails() {
        return approvalDetails;
    }

    public void setApprovalDetails(List<LabApprovalDetail> approvalDetails) {
        this.approvalDetails = approvalDetails;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }
}
